Alarm Manager Get Default Expression

Alarm Manager Get Default Expression
The default setting for each alarm expression, used to populate the initial client wizard screen.

The default setting for each alarm expression, used to populate the initial client wizard screen.

Required privileges: System.View

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/AlarmManager/{moId}/defaultExpression
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case AlarmManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string"
    }
]
array of object
Optional

Base type for the expressions specifying the conditions that define the status of an alarm.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/AlarmManager/{moId}/defaultExpression